#!/bin/sh

name="mm"
title="OSSP mm"
package="mm"
version="1.3.0"
build="1"
noarch="n"
build_info="Standard build."

info="A shared memory allocation library."
desc="OSSP mm is a 2-layer abstraction library which
simplifies the usage of shared memory between
related processed under Unix platforms. It both
hides all platform dependent implementation
details (allocation, locking, etc.) when dealing
with shared memory segments and provides a
high-level malloc-style API for a convenient way
to work with data-structures inside those shared
memory segments."
category="system/memory"
environment="library"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ChangeLog,INSTALL,LICENSE,PORTING,README,THANKS"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.ossp.org/pkg/lib/$name/$name-$version.tar.gz

configure_option --prefix=/usr

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

chmod a+x $pkg_main/usr/lib/libmm.{so.*,la}

make_docs

make_package main

clean_up

# $Log: mm.builder,v $
# Revision 1.2  2003/05/27 20:17:10  swiergot
# - Build 1.
#
# Revision 1.1  2003/05/27 20:12:42  swiergot
# - Initial release.
# - Version 1.3.0.
#
